Authorization: Bearer ********************{
"status": 200,
"success": true,
"data": {
"id": "abc123def456",
"store_id": "411465608",
"count": 2,
"checkout_url": "https://example.salla.sa/checkout/abc123def456",
"currency": {
"label": "ر.س",
"code": "SAR"
},
"scope": {
"id": "9881",
"type": "branch"
},
"amounts": {
"sub_total": {
"title": "Subtotal",
"amount": {
"value": 300,
"currency": "SAR"
}
},
"coupon": {
"title": "Coupon",
"amount": {
"value": 30,
"currency": "SAR"
}
},
"offers": {
"title": "Offers",
"amount": {
"value": 20,
"currency": "SAR"
}
},
"tax": {
"title": "Tax (15%)",
"amount": {
"value": 37.5,
"currency": "SAR"
}
},
"total": {
"title": "Total",
"amount": {
"value": 287.5,
"currency": "SAR"
}
}
},
"shipping": {
"required": true
},
"coupon": null,
"features": {
"coupon": true,
"gift": true,
"loyalty": false,
"guest_checkout": true
},
"discounts": {
"coupon": {
"id": 4521,
"title": "Coupon",
"amount": {
"value": 30,
"currency": "SAR"
}
},
"offers": [
{
"id": 8812,
"type": "fixed_amount",
"title": "Summer sale",
"amount": {
"value": 20,
"currency": "SAR"
}
}
]
},
"settings": {
"gift": {
"text": "Happy birthday!",
"type": "free"
}
}
}
}curl --location 'https://api.salla.dev/store/v2/checkout//items' \
--header 'Store-Identifier: {{store}}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"status": 200,
"success": true,
"data": {
"id": "abc123def456",
"store_id": "411465608",
"count": 2,
"checkout_url": "https://example.salla.sa/checkout/abc123def456",
"currency": {
"label": "ر.س",
"code": "SAR"
},
"scope": {
"id": "9881",
"type": "branch"
},
"amounts": {
"sub_total": {
"title": "Subtotal",
"amount": {
"value": 300,
"currency": "SAR"
}
},
"coupon": {
"title": "Coupon",
"amount": {
"value": 30,
"currency": "SAR"
}
},
"offers": {
"title": "Offers",
"amount": {
"value": 20,
"currency": "SAR"
}
},
"tax": {
"title": "Tax (15%)",
"amount": {
"value": 37.5,
"currency": "SAR"
}
},
"total": {
"title": "Total",
"amount": {
"value": 287.5,
"currency": "SAR"
}
}
},
"shipping": {
"required": true
},
"coupon": null,
"features": {
"coupon": true,
"gift": true,
"loyalty": false,
"guest_checkout": true
},
"discounts": {
"coupon": {
"id": 4521,
"title": "Coupon",
"amount": {
"value": 30,
"currency": "SAR"
}
},
"offers": [
{
"id": 8812,
"type": "fixed_amount",
"title": "Summer sale",
"amount": {
"value": 20,
"currency": "SAR"
}
}
]
},
"settings": {
"gift": {
"text": "Happy birthday!",
"type": "free"
}
}
}
}'{
"status": 200,
"success": true,
"data": {
"id": "76548763",
"store_id": "411465608",
"count": 2,
"checkout_url": "https://example.salla.sa/checkout/abc123",
"checkout_id": "abc123def456",
"currency": {
"label": "ر.س",
"code": "SAR"
},
"scope": {
"id": "9881",
"type": "branch"
},
"amounts": {
"sub_total": {
"title": "Subtotal",
"amount": {
"value": 300,
"currency": "SAR"
}
},
"coupon": {
"title": "Coupon",
"amount": {
"value": 30,
"currency": "SAR"
}
},
"offers": {
"title": "Offers",
"amount": {
"value": 20,
"currency": "SAR"
}
},
"tax": {
"title": "Tax (15%)",
"amount": {
"value": 37.5,
"currency": "SAR"
}
},
"total": {
"title": "Total",
"amount": {
"value": 287.5,
"currency": "SAR"
}
}
},
"shipping": {
"required": true
},
"coupon": "WELCOME10",
"features": {
"coupon": true,
"gift": true,
"loyalty": false,
"guest_checkout": true
},
"discounts": {
"coupon": {
"id": 4521,
"title": "Coupon",
"amount": {
"value": 30,
"currency": "SAR"
}
},
"offers": [
{
"id": 8812,
"type": "fixed_amount",
"title": "Summer sale",
"amount": {
"value": 20,
"currency": "SAR"
}
}
]
},
"settings": {
"gift": {
"text": "Happy birthday!",
"type": "free"
}
},
"options": [
{
"item_id": "771522903",
"id": "551",
"name": "ID type",
"type": "checkbox",
"required": true,
"selected_value": [
"12"
],
"values": [
{
"id": "12",
"name": "Citizen",
"selected": true
},
{
"id": "13",
"name": "Resident",
"selected": false
}
],
"map_description": null
}
],
"items": [
{
"id": "911762338",
"product_id": "123456789",
"variant_id": "987654321",
"name": "Example product",
"url": "https://example.salla.sa/p/example-product",
"sku": "SKU-1-RED-L",
"image": "https://cdn.salla.sa/images/example.jpg",
"on_sale": true,
"type": "product",
"barcode": "5901234123457",
"mpn": null,
"gtin": null,
"quantity": 2,
"notes": "gift wrap please",
"price": {
"amount": 150,
"currency": "SAR"
},
"sale_price": {
"amount": 120,
"currency": "SAR"
},
"sale_end": "2026-12-31 23:59:59",
"discounts": {
"coupon": {
"title": "Coupon",
"amount": {
"value": 30,
"currency": "SAR"
}
},
"offers": {
"title": "Offers",
"amount": {
"value": 20,
"currency": "SAR"
}
}
},
"features": {
"attachments": true,
"notes": true
},
"amounts": {
"sub_total": {
"title": "Subtotal",
"amount": {
"value": 300,
"currency": "SAR"
}
},
"coupon": {
"title": "Coupon",
"amount": {
"value": 30,
"currency": "SAR"
}
},
"offers": {
"title": "Offers",
"amount": {
"value": 20,
"currency": "SAR"
}
},
"tax": {
"title": "Tax (15%)",
"type": "tax",
"amount": {
"value": 37.5,
"currency": "SAR"
}
},
"total": {
"title": "Total",
"amount": {
"value": 287.5,
"currency": "SAR"
}
}
},
"shipping": {
"required": true
},
"attachments": [
"https://cdn.salla.sa/uploads/cart_item_image_1.jpg"
],
"options": [
{
"id": "881",
"name": "Color",
"type": "color",
"required": true,
"selected_value": [
"44"
],
"values": [
{
"id": "44",
"name": "Red",
"selected": true
},
{
"id": "45",
"name": "Blue",
"selected": false
}
],
"map_description": null
}
]
}
]
}
}